Package com.google.android.exoplayer2.video.spherical

## Class Projection.Mesh

- java.lang.Object
- - com.google.android.exoplayer2.video.spherical.Projection.Mesh

- Enclosing class:
    Projection

      public static final class Projection.Mesh
      extends Object

  A Mesh associated with the projection scene.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Mesh​(Projection.SubMesh... subMeshes)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Projection.SubMesh` | `getSubMesh​(int index)` | Returns the SubMesh for the given index.
    `int` | `getSubMeshCount()` | Returns the number of sub meshes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Mesh

          public Mesh​(Projection.SubMesh... subMeshes)

  - ### Method Detail

    - #### getSubMeshCount

          public int getSubMeshCount()

      Returns the number of sub meshes.

    - #### getSubMesh

          public Projection.SubMesh getSubMesh​(int index)

      Returns the SubMesh for the given index.